<?php

namespace App\Helpers;

use Illuminate\Support\Facades\Auth;
use Hash;
use App\Models\Employer;

class UserHelper {

    public static function getCurrentAdminUser() {
        return Auth::guard('admin')->user();
    }

    public static function checkCurrentAdminUser() {
        return Auth::guard('admin')->check();
    }

    public static function getCurrentUser() {
        return Auth::guard('web')->user();
    }

    public static function checkCurrentUser() {
        return Auth::guard('web')->check();
    }

    public static function getCurrentUserId() {
        return self::getCurrentUser()->id;
    }

}
