<?php

namespace App\Models;

use App\Models\Model;

class Package extends Model {
    /**
     * The addon that belong to the package.
     */
    public function addon()
    {
        return $this->belongsToMany('App\Models\Addon');
    }

    /**
     * The website that belong to the package.
     */
    public function website()
    {
        return $this->belongsToMany('App\Models\Website');
    }
}
