<?php

namespace App\Models;

use App\Models\Model;

class Website extends Model {

    use \Illuminate\Database\Eloquent\SoftDeletes;

    const SOFT_DELETES = true;
    const STATUS_DRAFT = 0;
    const STATUS_PUBLISHED = 1;

    protected $dates = ['deleted_at'];
    public $status = [
        self::STATUS_DRAFT => 'Draft',
        self::STATUS_PUBLISHED => 'Publish',
    ];

}
