<?php

/* @var $factory \Illuminate\Database\Eloquent\Factory */

use App\Model;
use Faker\Generator as Faker;


$factory->define(\App\Models\Package::class, function (Faker $faker) {
    return [
        'created_by' => $faker->randomDigit,
        'name' => $faker->name,
        'code' => $faker->randomDigit,
        'price' => $faker->randomNumber(3),
        'package_duration' => $faker->randomDigit,
        'content' => $faker->text,
        'status' => $faker->randomNumber(1),
    ];
});
