<?php

/** @var \Illuminate\Database\Eloquent\Factory $factory */

use App\Model;
use Faker\Generator as Faker;

$factory->define(\App\Posts::class, function (Faker $faker) {
    return [

//        'parent_id' => $faker->randomNumber(1),
//        'creator_id' => $faker->randomNumber(1),
        'image' => $faker->randomDigit,
        'sort_order' => $faker->numberBetween(3,12),
        'title' => Str::random(10),
        'slug' =>  Str::random(5),
        'url' =>  Str::random(5),
        'short_discription' => $faker->realText($maxNbChars = 200, $indexSize = 2),
        'full_discription' => $faker->realText($maxNbChars = 200, $indexSize = 2),
        'template' =>  Str::random(0).'detail_page',
        'type' => $faker->randomDigit,
        'status' => $faker->randomDigit,
    ];
});
