<?php

/* @var $factory \Illuminate\Database\Eloquent\Factory */

use App\Model;
use Carbon\Carbon;
use Faker\Generator as Faker;

$factory->define(\App\Models\Role::class, function (Faker $faker) {

    return [
        'created_by' => $faker->randomDigit,
        'is_default' => $faker->randomDigit,
        'name' => $faker->name,
        'status' => $faker->randomNumber(2),
        'created_at' => Carbon::now()->format('Y-m-d H:i:s'),
        'updated_at' => Carbon::now()->format('Y-m-d H:i:s'),
        'deleted_at' => Carbon::now()->format('Y-m-d H:i:s'),
    ];
});
