<?php

/* @var $factory \Illuminate\Database\Eloquent\Factory */

use App\Model;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(\App\Models\UserDetail::class, function (Faker $faker) {
    return [
        'phone' => $faker->randomNumber(9),
        'mobile' => $faker->randomNumber(9),
        'address_line_1' => $faker->streetAddress ,
        'address_line_2' => $faker->streetAddress ,
        'city' => $faker->city,
        'state' => $faker-> citySuffix,
        'country' => $faker->country,
        'created_at' => Carbon::now()->format('Y-m-d H:i:s'),
        'updated_at' => Carbon::now()->format('Y-m-d H:i:s'),
    ];
});
