<?php

/* @var $factory \Illuminate\Database\Eloquent\Factory */

use App\Model;
use Faker\Generator as Faker;
use Carbon\Carbon;

$factory->define(\App\Models\Website::class, function (Faker $faker) {
    return [
        'name' => $faker->name,
        'code' => $faker->randomDigit,
        'domain' => $faker->word,
        'status' => $faker->randomDigit,
        'created_at' => Carbon::now()->format('Y-m-d H:i:s'),
        'updated_at' => Carbon::now()->format('Y-m-d H:i:s'),
        'deleted_at' => Carbon::now()->format('Y-m-d H:i:s'),
    ];
});
