<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="{{ asset('public/assets/admin/img/favicon.png') }}">
        <title>Webbbco</title>
        @include('back-office.includes.style')
        @yield('style')
    </head>

    <body class="login-body">
        <div class="home-btn d-none d-sm-block">
            <a href="index.html" class="text-dark"><i class="fas fa-home h2"></i></a>
        </div>

        <div class="wrapper-page">
            <div class="wrapper-page">
                @yield('content')
            </div>
        </div>
        @include('back-office.includes.script')
        @yield('script')
    </body>
</html>
