<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */

use App\Http\Controllers\Front\WebsiteController;

Route::get('/', function () {
    return view('welcome');
});



// Websites Routes
Route::group(['prefix' => 'website', 'as' => 'websites.'], function () {
    Route::get('create', ['as' => 'create', 'uses' => 'Front\WebsiteController@create']);
    Route::get('preview/{slug}', ['as' => 'preview', 'uses' => 'Front\WebsiteController@preview']);
    Route::post('/', ['as' => 'store', 'uses' => 'Front\WebsiteController@store']);
});
