<?php $__env->startSection('content'); ?>
    <div class="content">
        <div class="container-fluid">
            <div class="page-title-box">
                <div class="row align-items-center">

                    <div class="col-sm-6">
                        <h4 class="page-title">Dashboard</h4>
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item active">Welcome to Webbbco Dashboard</li>
                        </ol>
                    </div>
                    
                </div>
            </div>

            <div class="row">
                <div class="col-xl-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="mt-0 header-title mb-4">Websites</h4>
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead>
                                    <tr>
                                        <th scope="col">(#) Id</th>
                                        <th scope="col">Website Name</th>
                                        <th scope="col">Company Name</th>
                                        <th scope="col">Email</th>
                                        <th scope="col">Phone</th>
                                        <th scope="col">Mobile</th>
                                        <th scope="col">Country</th>
                                        <th scope="col">Domain</th>
                                        <th scope="col">Date</th>
                                        <th scope="col">Status</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $__currentLoopData = $websites; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $indexKey => $website): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <th scope="row">#<?php echo e($indexKey + 1); ?></th>
                                        <td><?php echo e($website->name); ?></td>
                                        <td><?php echo e($website->company_name); ?></td>
                                        <td><?php echo e($website->email); ?></td>
                                        <td><?php echo e($website->phone); ?></td>
                                        <td><?php echo e($website->mobile); ?></td>
                                        <td><?php echo e($website->country); ?></td>
                                        <td><?php echo e($website->domain); ?></td>
                                        <td><?php echo e($website->created_at); ?></td>
                                        <td>
                                            Active
                                            
                                        </td>
                                        <td>
                                            <div>
                                                <a target="_blank" href="<?php echo e(url('/website/preview/'.$website->slug)); ?>" class="btn btn-primary btn-sm"><i class="fa fa-eye"></i></a>
                                            </div>
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- container-fluid -->
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back-office.layouts.main-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\work\htdocs\webbb.co\application\resources\views/back-office/websites/list.blade.php ENDPATH**/ ?>