<?php

namespace App\Http\Controllers\BackOffice;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use App\Models\Website;
use App\Repositories\WebsiteRepository;
use App\Http\Requests\WebsiteRequest;
use App\Helpers\SlugHelper;

class BackOfficeController extends Controller {

    private $viewDir;
    private $model;
    private $request;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct() {
        $this->viewDir = 'back-office.websites.';
    }
    public function read() {
        $model = new WebsiteRepository();
        $websites = $model->all();
        return view($this->viewDir . 'list',compact('websites'));
    }
    public function login() {
        return view($this->viewDir . 'login');
    }

}

