<?php

/** @var \Illuminate\Database\Eloquent\Factory $factory */

use App\Model;
use Faker\Generator as Faker;

$factory->define(\App\Categories::class, function (Faker $faker) {
    return [
        'parent_id' => $faker->randomNumber(1),
        'creator_id' => $faker->randomNumber(1),
        'image' => $faker->randomDigit,
        'title' => Str::random(10),
        'slug' =>  Str::random(5),
        'sumery' => $faker->text,
        'discription' => $faker->realText($maxNbChars = 200, $indexSize = 2),
        'type' => $faker->randomDigit,
        'status' => $faker->randomDigit,
    ];
});
