<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="shortcut icon" href="{{ asset('assets/back-office/imagesCommon/favicon.png') }}">

        @include('back-office.includes.style')
        @yield('style')
        <script>
            {{--BASEPATH = '{{ URL::to("/") }}/{{Common::getAdminURI()}}';--}}
        </script>
    </head>

    <body>
        <!-- Begin page -->
        <div id="wrapper">
            @include('back-office.includes.header')
            @include('back-office.includes.sidemenu')
            <div class="content-page">
            @yield('content')
            @include('back-office.includes.footer')
        </div>
        </div>
        <!-- END wrapper -->

        @include('back-office.includes.script')
        @yield('script')
    </body>
</html>

