<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>{{ $website['name'] }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="{{ URL::asset('assets/front/css/bootstrap.css') }}" type="text/css" rel="stylesheet" />

    <!-- Font Awesome CSS -->
    <link href="{{ URL::asset('assets/front/css/font-awesome.css') }}" type="text/css" rel="stylesheet" />
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Custom Styles -->
    <link href="{{ URL::asset('assets/front/css/style.css') }}" type="text/css" rel="stylesheet" />
    <link href="{{ URL::asset('assets/front/css/custom.css') }}" type="text/css" rel="stylesheet" />


    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
    <link rel="stylesheet" href=" https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" />


</head>

<body>
<div class="maihdr">
    <div class="webhdr">
        <div class="container">
            <div class="logo">
                <a href="#"><img src="{{ URL::asset('assets/front/images/logo_18.png') }}" alt="logo"/></a>
            </div>
            <div class="MblMenu visible-xs">
                <i class="fa fa-bars"></i>
            </div>
            <div class="mainnavgation">
                <ul>
                    <li>
                        <a href="#">home</a>
                    </li>
                    <li>
                        <a href="#">how its work</a>
                    </li>
                    <li>
                        <a href="#">List your site</a>
                    </li>
                    <li>
                        <a href="#">blog</a>
                    </li>
                    <li>
                        <a href="#">login</a>
                    </li>
                    <li>
                        <a href="#">get started</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
<div class="banner" >
    <div class="textbaner">
        <div class="container">
            <h1>Welcome To {{ $website['name']  }} Website</h1>
            <span>Safe Links on Real Sites That Actually Move the Needle</span>
            <button>apply now</button>
            <p>Our Money-Back Guarantee:<br />Placements on Sites with 1k+ Visitors/Month or Full Refund</p>
        </div>
    </div>
</div>

<div class="videosection">
    <div class="container">
        <div class="row">
            <div class="col-md-5">
                <div class="textbox">

                    <h3>{{ $website['name']  }} Co. (ABC) Promises:</h3>
                    <ul>
                        <li>Placement on real sites with real traffic</li>
                        <li>Get placed on sites that your clients will be proud of</li>
                        <li>No PBNs, repurposed domains</li>
                        <li>All niches covered</li>
                        <li>Custom easy-to-use dashboard</li>
                        <li>Competitive prices</li>
                        <li>No sponsored posts</li>
                        <li>No author bios</li>
                    </ul>
                    <h4>All your links will be on sites with traffic 1k or more, or your money back!</h4>
                    <button>apply now</button>
                </div>
            </div>
            <div class="col-md-7">
                <div class="videobox">
                    <iframe width="100%" height="400" src="https://www.youtube.com/embed/Qs0_Qu22v4M" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="tabsction">
    <div class="container">
        <div class="tabwrap">
            <button class="tablink" onclick="openPage('Home', this,)" id="defaultOpen">Home</button>
            <button class="tablink" onclick="openPage('News', this,)">News</button>
            <button class="tablink" onclick="openPage('Contact', this,)">Contact</button>
        </div>
        <div id="Home" class="tabcontent">
            <ul class="row">
                <li class="col-md-6">
                    <div class="imgdiv">
                        <img src="{{ URL::asset('assets/front/images/guest post.jpg') }}" />
                    </div>
                </li>
                <li class="col-md-6">
                    <div class="textdiv">
                        <h3>Guest Posts</h3>
                        <p>For the past few years, our team has been working with bloggers and website owners in various niches and various verticals.<br /><br />
                            We've negotiated with them to secure the best prices for you.<br /><br />
                            Use our custom dashboard to navigate through our database and find the niche, metric, traffic, and price specifications for your needs.<br /><br />
                            And rest assured, these are all quality sites with real organic traffic.<br /><br />
                            If Google ranks them, then Google likes them.</p>
                    </div>
                </li>
            </ul>
        </div>

        <div id="News" class="tabcontent">
            <ul class="row">
                <li class="col-md-6">
                    <div class="imgdiv">
                        <img src="{{ URL::asset('assets/front/images/guest post.jpg') }}" />
                    </div>
                </li>
                <li class="col-md-6">
                    <div class="textdiv">
                        <h3>New Sites Added Regularly</h3>
                        <p>Our team works around the clock scraping blogs that meet our quality standards. We reach out to these webmasters and negotiate deals and prices.<br /><br />
                            We do the heavy lifting for you.<br /><br />
                            Once you find a site that you like, we write the content and make sure your link gets placed just the way you want it.<br /><br />
                            <strong>Automated Tracking.</strong><br /><br />
                            Our platform also allows you to track the progress of all of your guest posts. We keep track of all of your backlinks and anchor texts so that you don't have to.</p>
                    </div>
                </li>
            </ul>
        </div>

        <div id="Contact" class="tabcontent">
            <ul class="row">
                <li class="col-md-6">
                    <div class="imgdiv">
                        <img src="{{ URL::asset('assets/front/images/guest post.jpg') }}" />
                    </div>
                </li>
                <li class="col-md-6">
                    <div class="textdiv">
                        <h3>Guest Posts</h3>
                        <p>For the past few years, our team has been working with bloggers and website owners in various niches and various verticals.<br /><br />
                            We've negotiated with them to secure the best prices for you.<br /><br />
                            Use our custom dashboard to navigate through our database and find the niche, metric, traffic, and price specifications for your needs.<br /><br />
                            And rest assured, these are all quality sites with real organic traffic.<br /><br />
                            If Google ranks them, then Google likes them.</p>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</div>

<div class="users">
    <div class="container">
        <h2>Over 2000 Agencies and SEOs use Authority Builders Co.</h2>
        <div class="usercoments">
            <ul>
                <li class="col-md-4">
                    <div class="comentsbox">
                        <img src="{{ URL::asset('assets/front/images/philipwalton.jpg') }}" alt="user" />
                        <h3>Ryan Stewart</h3>
                        <p>Authority Builders Co. is a perfect solution for anyone needing to scale up their outreach. These are quality guest posts on real sites that I'm actually proud to show my clients.</p>
                        <span>- Webris</span>
                    </div>
                </li>
                <li class="col-md-4">
                    <div class="comentsbox">
                        <img src="{{ URL::asset('assets/front/images/img7.jpg') }}" alt="user" />
                        <h3>Ryan Stewart</h3>
                        <p>Authority Builders Co. is a perfect solution for anyone needing to scale up their outreach. These are quality guest posts on real sites that I'm actually proud to show my clients.</p>
                        <span>- Webris</span>
                    </div>
                </li>
                <li class="col-md-4">
                    <div class="comentsbox">
                        <img src="{{ URL::asset('assets/front/images/img3.jpg') }}" alt="user" />
                        <h3>Ryan Stewart</h3>
                        <p>Authority Builders Co. is a perfect solution for anyone needing to scale up their outreach. These are quality guest posts on real sites that I'm actually proud to show my clients.</p>
                        <span>- Webris</span>
                    </div>
                </li>
                <li class="col-md-4">
                    <div class="comentsbox">
                        <img src="{{ URL::asset('assets/front/images/img4.jpg') }}" alt="user" />
                        <h3>Ryan Stewart</h3>
                        <p>Authority Builders Co. is a perfect solution for anyone needing to scale up their outreach. These are quality guest posts on real sites that I'm actually proud to show my clients.</p>
                        <span>- Webris</span>
                    </div>
                </li>
                <li class="col-md-4">
                    <div class="comentsbox">
                        <img src="{{ URL::asset('assets/front/images/img5.jpg') }}" alt="user" />
                        <h3>Ryan Stewart</h3>
                        <p>Authority Builders Co. is a perfect solution for anyone needing to scale up their outreach. These are quality guest posts on real sites that I'm actually proud to show my clients.</p>
                        <span>- Webris</span>
                    </div>
                </li>
                <li class="col-md-4">
                    <div class="comentsbox">
                        <img src="{{ URL::asset('assets/front/images/img6.jpg') }}" alt="user" />
                        <h3>Ryan Stewart</h3>
                        <p>Authority Builders Co. is a perfect solution for anyone needing to scale up their outreach. These are quality guest posts on real sites that I'm actually proud to show my clients.</p>
                        <span>- Webris</span>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</div>

<div class="backlinks">
    <div class="container">
        <h3>Get backlinks from real websites!</h3>
        <p>Apply and get access to our complete database.</p>
        <button type="submit">apply now</button>
    </div>
</div>

<div class="frr">
    <div class="container">
        <ul>
            <li><a href="#">privacy and policy</a></li>
            <li><a href="#">terms and conditions</a></li>
        </ul>
        <p>© 2019 Biz In A Box , All Rights Reserved.</p>
    </div>
</div>

<script src="{{ URL::asset('assets/admin/js/jquery.js') }}" type="text/javascript"></script>
<script src="{{ URL::asset('assets/admin/js/bootstrap.min.js') }}" type="text/javascript"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
<script>
    $(document).ready(function() {
        $('#example').DataTable();
    } );
</script>

<script>
    $(document).ready(function() {
        $('.menu-toggle').click(function(){
            $('navigation').toggleClass('active')
        })
        $('ul li').click(function(){
            $(this).siblings.removeClass('active')
            $(this).toggleClass('active')
        })
    });
</script>
<script>
    $('.accordion').click(function() {
        var $el = $(this).next('.panel');
        var vis = $el.is(":visible");
        $('.panel').slideUp();
        $el[ vis ? "slideUp" : "slideDown"]();
    }).next('.panel').hide();
</script>

<script>
    function openPage(pageName,elmnt,color) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablink");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].style.backgroundColor = "";
        }
        document.getElementById(pageName).style.display = "block";
        elmnt.style.backgroundColor = color;
    }

    // Get the element with id="defaultOpen" and click on it
    document.getElementById("defaultOpen").click();
</script>
<script>
    $(document).ready(function(e) {
        $( ".MblMenu" ).click(function() {
            $( ".mainnavgation" ).slideToggle( "slow", function() {
                // Animation complete.
            });
        });
    });
</script>


</body>
</html>
